Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Interface ScoreDocComparator

public interface ScoreDocComparator

Expert: Compares two ScoreDoc objects for sorting.

Created: Feb 3, 2004 9:00:16 AM

Since:
  lucene 1.4
Version:
  $Id: ScoreDocComparator.java,v 1.5 2004/05/19 23:05:27 tjones Exp $
Author:
  Tim Jones (Nacimiento Software)

Field Summary
`static ScoreDocComparator` | `INDEXORDER` Special comparator for sorting hits according to index order (document number).
`static ScoreDocComparator` | `RELEVANCE` Special comparator for sorting hits according to computed relevance (document score).

Method Summary
`int` | `compare(ScoreDoc i, ScoreDoc j)` Compares two ScoreDoc objects and returns a result indicating their sort order.
`int` | `sortType()` Returns the type of sort.
`Comparable` | `sortValue(ScoreDoc i)` Returns the value used to sort the given document.

Field Detail

### RELEVANCE

    public static final ScoreDocComparator RELEVANCE

  Special comparator for sorting hits according to computed relevance (document score).

### INDEXORDER

    public static final ScoreDocComparator INDEXORDER

  Special comparator for sorting hits according to index order (document number).

Method Detail

### compare

    public int compare(ScoreDoc i,
                       ScoreDoc j)

  Compares two ScoreDoc objects and returns a result indicating their sort order.

  Parameters:
    `i` - First ScoreDoc
    `j` - Second ScoreDoc
  Returns:
    `-1` if `i` should come before `j`
    `1` if `i` should come after `j`
    `0` if they are equal
  See Also:
    `Comparator`

### sortValue

    public Comparable sortValue(ScoreDoc i)

  Returns the value used to sort the given document. The object returned must implement the java.io.Serializable interface. This is used by multisearchers to determine how to collate results from their searchers.

  Parameters:
    `i` - Document
  Returns:
    Serializable object
  See Also:
    `FieldDoc`

### sortType

    public int sortType()

  Returns the type of sort. Should return `SortField.SCORE`, `SortField.DOC`, `SortField.STRING`, `SortField.INTEGER`, `SortField.FLOAT` or `SortField.CUSTOM`. It is not valid to return `SortField.AUTO`. This is used by multisearchers to determine how to collate results from their searchers.

  Returns:
    One of the constants in SortField.
  See Also:
    `SortField`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.